### Hierarchy

- EventEmitter
  - Worker

## Index

### Properties

- exitedAfterDisconnect
- id
- process
- defaultMaxListeners

### Methods

- addListener
- destroy
- disconnect
- emit
- eventNames
- getMaxListeners
- isConnected
- isDead
- kill
- listenerCount
- listeners
- off
- on
- once
- prependListener
- prependOnceListener
- rawListeners
- removeAllListeners
- removeListener
- send
- setMaxListeners
- listenerCount

## Properties

### exitedAfterDisconnect

exitedAfterDisconnect: boolean

- Defined in node_modules/@types/node/cluster.d.ts:33

### id

id: number

- Defined in node_modules/@types/node/cluster.d.ts:25

### process

process: ChildProcess

- Defined in node_modules/@types/node/cluster.d.ts:26

### Static defaultMaxListeners

defaultMaxListeners: number

Inherited from EventEmitter.defaultMaxListeners

- Defined in node_modules/@types/node/events.d.ts:8

## Methods

### addListener

- addListener(event: string, listener: function): this
- addListener(event: "disconnect", listener: function): this
- addListener(event: "error", listener: function): this
- addListener(event: "exit", listener: function): this
- addListener(event: "listening", listener: function): this
- addListener(event: "message", listener: function): this
- addListener(event: "online", listener: function): this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/cluster.d.ts:44

  events.EventEmitter

  1. disconnect
  2. error
  3. exit
  4. listening
  5. message
  6. online

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/cluster.d.ts:45

  #### Parameters

  - ##### event: "disconnect"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/cluster.d.ts:46

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (error: Error): void

      - #### Parameters

        - ##### error: Error

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/cluster.d.ts:47

  #### Parameters

  - ##### event: "exit"

  - ##### listener: function

    - - (code: number, signal: string): void

      - #### Parameters

        - ##### code: number

        - ##### signal: string

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/cluster.d.ts:48

  #### Parameters

  - ##### event: "listening"

  - ##### listener: function

    - - (address: Address): void

      - #### Parameters

        - ##### address: Address

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/cluster.d.ts:49

  #### Parameters

  - ##### event: "message"

  - ##### listener: function

    - - (message: any, handle: Socket | Server): void

      - #### Parameters

        - ##### message: any

        - ##### handle: Socket | Server

        #### Returns void

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/cluster.d.ts:50

  #### Parameters

  - ##### event: "online"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

### destroy

- destroy(signal?: undefined | string): void

- - Defined in node_modules/@types/node/cluster.d.ts:29

  #### Parameters

  - ##### Optional signal: undefined | string

  #### Returns void

### disconnect

- disconnect(): void

- - Defined in node_modules/@types/node/cluster.d.ts:30

  #### Returns void

### emit

- emit(event: string | symbol, ...args: any[]): boolean
- emit(event: "disconnect"): boolean
- emit(event: "error", error: Error): boolean
- emit(event: "exit", code: number, signal: string): boolean
- emit(event: "listening", address: Address): boolean
- emit(event: "message", message: any, handle: Socket | Server): boolean
- emit(event: "online"): boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/cluster.d.ts:52

  #### Parameters

  - ##### event: string | symbol

  - ##### Rest ...args: any[]

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/cluster.d.ts:53

  #### Parameters

  - ##### event: "disconnect"

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/cluster.d.ts:54

  #### Parameters

  - ##### event: "error"

  - ##### error: Error

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/cluster.d.ts:55

  #### Parameters

  - ##### event: "exit"

  - ##### code: number

  - ##### signal: string

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/cluster.d.ts:56

  #### Parameters

  - ##### event: "listening"

  - ##### address: Address

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/cluster.d.ts:57

  #### Parameters

  - ##### event: "message"

  - ##### message: any

  - ##### handle: Socket | Server

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/cluster.d.ts:58

  #### Parameters

  - ##### event: "online"

  #### Returns boolean

### eventNames

- eventNames(): Array<string | symbol>

- Inherited from EventEmitter.eventNames

  Overrides EventEmitter.eventNames

  - Defined in node_modules/@types/node/events.d.ts:23

  #### Returns Array<string | symbol>

### getMaxListeners

- getMaxListeners(): number

- Inherited from EventEmitter.getMaxListeners

  Overrides EventEmitter.getMaxListeners

  - Defined in node_modules/@types/node/events.d.ts:19

  #### Returns number

### isConnected

- isConnected(): boolean

- - Defined in node_modules/@types/node/cluster.d.ts:31

  #### Returns boolean

### isDead

- isDead(): boolean

- - Defined in node_modules/@types/node/cluster.d.ts:32

  #### Returns boolean

### kill

- kill(signal?: undefined | string): void

- - Defined in node_modules/@types/node/cluster.d.ts:28

  #### Parameters

  - ##### Optional signal: undefined | string

  #### Returns void

### listenerCount

- listenerCount(type: string | symbol): number

- Inherited from EventEmitter.listenerCount

  Overrides EventEmitter.listenerCount

  - Defined in node_modules/@types/node/events.d.ts:24

  #### Parameters

  - ##### type: string | symbol

  #### Returns number

### listeners

- listeners(event: string | symbol): Function[]

- Inherited from EventEmitter.listeners

  Overrides EventEmitter.listeners

  - Defined in node_modules/@types/node/events.d.ts:20

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### off

- off(event: string | symbol, listener: function): this

- Inherited from EventEmitter.off

  Overrides EventEmitter.off

  - Defined in node_modules/@types/node/events.d.ts:16

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### on

- on(event: string, listener: function): this
- on(event: "disconnect", listener: function): this
- on(event: "error", listener: function): this
- on(event: "exit", listener: function): this
- on(event: "listening", listener: function): this
- on(event: "message", listener: function): this
- on(event: "online", listener: function): this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/cluster.d.ts:60

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/cluster.d.ts:61

  #### Parameters

  - ##### event: "disconnect"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/cluster.d.ts:62

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (error: Error): void

      - #### Parameters

        - ##### error: Error

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/cluster.d.ts:63

  #### Parameters

  - ##### event: "exit"

  - ##### listener: function

    - - (code: number, signal: string): void

      - #### Parameters

        - ##### code: number

        - ##### signal: string

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/cluster.d.ts:64

  #### Parameters

  - ##### event: "listening"

  - ##### listener: function

    - - (address: Address): void

      - #### Parameters

        - ##### address: Address

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/cluster.d.ts:65

  #### Parameters

  - ##### event: "message"

  - ##### listener: function

    - - (message: any, handle: Socket | Server): void

      - #### Parameters

        - ##### message: any

        - ##### handle: Socket | Server

        #### Returns void

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/cluster.d.ts:66

  #### Parameters

  - ##### event: "online"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

### once

- once(event: string, listener: function): this
- once(event: "disconnect", listener: function): this
- once(event: "error", listener: function): this
- once(event: "exit", listener: function): this
- once(event: "listening", listener: function): this
- once(event: "message", listener: function): this
- once(event: "online", listener: function): this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/cluster.d.ts:68

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/cluster.d.ts:69

  #### Parameters

  - ##### event: "disconnect"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/cluster.d.ts:70

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (error: Error): void

      - #### Parameters

        - ##### error: Error

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/cluster.d.ts:71

  #### Parameters

  - ##### event: "exit"

  - ##### listener: function

    - - (code: number, signal: string): void

      - #### Parameters

        - ##### code: number

        - ##### signal: string

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/cluster.d.ts:72

  #### Parameters

  - ##### event: "listening"

  - ##### listener: function

    - - (address: Address): void

      - #### Parameters

        - ##### address: Address

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/cluster.d.ts:73

  #### Parameters

  - ##### event: "message"

  - ##### listener: function

    - - (message: any, handle: Socket | Server): void

      - #### Parameters

        - ##### message: any

        - ##### handle: Socket | Server

        #### Returns void

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/cluster.d.ts:74

  #### Parameters

  - ##### event: "online"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

### prependListener

- prependListener(event: string, listener: function): this
- prependListener(event: "disconnect", listener: function): this
- prependListener(event: "error", listener: function): this
- prependListener(event: "exit", listener: function): this
- prependListener(event: "listening", listener: function): this
- prependListener(event: "message", listener: function): this
- prependListener(event: "online", listener: function): this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/cluster.d.ts:76

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/cluster.d.ts:77

  #### Parameters

  - ##### event: "disconnect"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/cluster.d.ts:78

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (error: Error): void

      - #### Parameters

        - ##### error: Error

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/cluster.d.ts:79

  #### Parameters

  - ##### event: "exit"

  - ##### listener: function

    - - (code: number, signal: string): void

      - #### Parameters

        - ##### code: number

        - ##### signal: string

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/cluster.d.ts:80

  #### Parameters

  - ##### event: "listening"

  - ##### listener: function

    - - (address: Address): void

      - #### Parameters

        - ##### address: Address

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/cluster.d.ts:81

  #### Parameters

  - ##### event: "message"

  - ##### listener: function

    - - (message: any, handle: Socket | Server): void

      - #### Parameters

        - ##### message: any

        - ##### handle: Socket | Server

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/cluster.d.ts:82

  #### Parameters

  - ##### event: "online"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

### prependOnceListener

- prependOnceListener(event: string, listener: function): this
- prependOnceListener(event: "disconnect", listener: function): this
- prependOnceListener(event: "error", listener: function): this
- prependOnceListener(event: "exit", listener: function): this
- prependOnceListener(event: "listening", listener: function): this
- prependOnceListener(event: "message", listener: function): this
- prependOnceListener(event: "online", listener: function): this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/cluster.d.ts:84

  #### Parameters

  - ##### event: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/cluster.d.ts:85

  #### Parameters

  - ##### event: "disconnect"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/cluster.d.ts:86

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (error: Error): void

      - #### Parameters

        - ##### error: Error

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/cluster.d.ts:87

  #### Parameters

  - ##### event: "exit"

  - ##### listener: function

    - - (code: number, signal: string): void

      - #### Parameters

        - ##### code: number

        - ##### signal: string

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/cluster.d.ts:88

  #### Parameters

  - ##### event: "listening"

  - ##### listener: function

    - - (address: Address): void

      - #### Parameters

        - ##### address: Address

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/cluster.d.ts:89

  #### Parameters

  - ##### event: "message"

  - ##### listener: function

    - - (message: any, handle: Socket | Server): void

      - #### Parameters

        - ##### message: any

        - ##### handle: Socket | Server

        #### Returns void

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/cluster.d.ts:90

  #### Parameters

  - ##### event: "online"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

### rawListeners

- rawListeners(event: string | symbol): Function[]

- Inherited from EventEmitter.rawListeners

  Overrides EventEmitter.rawListeners

  - Defined in node_modules/@types/node/events.d.ts:21

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### removeAllListeners

- removeAllListeners(event?: string | symbol): this

- Inherited from EventEmitter.removeAllListeners

  Overrides EventEmitter.removeAllListeners

  - Defined in node_modules/@types/node/events.d.ts:17

  #### Parameters

  - ##### Optional event: string | symbol

  #### Returns this

### removeListener

- removeListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.removeListener

  Overrides EventEmitter.removeListener

  - Defined in node_modules/@types/node/events.d.ts:15

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### send

- send(message: any, sendHandle?: any, callback?: undefined | function): boolean

- - Defined in node_modules/@types/node/cluster.d.ts:27

  #### Parameters

  - ##### message: any

  - ##### Optional sendHandle: any

  - ##### Optional callback: undefined | function

  #### Returns boolean

### setMaxListeners

- setMaxListeners(n: number): this

- Inherited from EventEmitter.setMaxListeners

  Overrides EventEmitter.setMaxListeners

  - Defined in node_modules/@types/node/events.d.ts:18

  #### Parameters

  - ##### n: number

  #### Returns this

### Static listenerCount

- listenerCount(emitter: EventEmitter, event: string | symbol): number

- Inherited from EventEmitter.listenerCount

  - Defined in node_modules/@types/node/events.d.ts:7
  deprecated

    since v4.0.0

  #### Parameters

  - ##### emitter: EventEmitter

  - ##### event: string | symbol

  #### Returns number

Generated using TypeDoc